View Issue Details

IDProjectCategoryView StatusLast Update
0031351RunnerHTML5Public2019-09-20 14:43
ReporterScott DunbarAssigned ToLuke Brown 
PriorityVery HighSeverityA - Crash/HangReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.4 
Target Version2.2.4Fixed in Version 
Summary0031351: HTML5: Game will crash using rectangle_in_rectangle on two rectangles that fall within the xbounds but are outwith the ybounds
Descriptionissue:
 Game will crash using rectangle_in_rectangle on two rectangles that fall within the xbounds but are outwith the ybounds


Expected:
 Game should not crash
Steps To Reproduce1.import project
2. Run game in HTML5
3. hold W or Up arrow to move a box up
4. observe crash
Additional InformationFunction_Collision.js:470 Uncaught ReferenceError: y1 is not defined
    at rectangle_in_rectangle (Function_Collision.js:470)
Tagshtml5, Runner
1.4 Found In
2.x Runtime Found In2.2.4.357
2.x Runtime Verified In2.2.4.358

Activities

Scott Dunbar

2019-09-16 10:37

Adminstrator  

rectangleoverlap1.yyz (18,300 bytes)

Luke Brown

2019-09-17 10:46

Developer   ~0064810

fixed in gitlab

Scott Dunbar

2019-09-20 14:43

Adminstrator   ~0064834

Verified fixed in 2.2.4.358